import { ElementRef, OnInit } from '@angular/core';
import { PopoverHoverService } from './popover-hover.service';
import * as i0 from "@angular/core";
export declare class PopoverHoverComponent implements OnInit {
    popoverService: PopoverHoverService;
    popoverContainer: boolean;
    popoverRatio: ElementRef;
    popoverContent: ElementRef;
    constructor(popoverService: PopoverHoverService);
    showPopover: boolean;
    leftValue: any;
    topValue: any;
    popoverHeight: any;
    popoverWidth: any;
    positionX: number;
    positionY: number;
    popoverPosition: string | any;
    ngOnInit(): void;
    popover(): boolean;
    closePopover(): void;
    clickedPopover(): void;
    getPosition(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverHoverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopoverHoverComponent, "popover-hover", never, {}, {}, never, ["*"], false, never>;
}
